# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dump.pm) perl(Digest/HMAC_SHA1.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(HTTP/Date.pm) perl(HTTP/Request.pm) perl(MIME/Base64.pm) perl(POE.pm) perl(POE/Component/Client/HTTP.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI/Escape.pm) perl(XML/LibXML.pm) perl(XML/LibXML/XPathContext.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name POE-Component-Amazon-S3
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Work with Amazon S3 using POE
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AG/AGRUNDMA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
POE::Component::Amazon::S3 is an asynchronous Amazon S3 client based loosely
on the Net::Amazon::S3 manpage.

Amazon provides an "infinite" Simple Storage Service (S3) where you may store
as much data as you like, paying only for the bandwidth and disk space used.
An S3 account may contain up to 100 "buckets", each of which may contain any
number of keys.  Each key can contain any data up to 5GB in size.

To find out more about S3, please visit: http://s3.amazonaws.com/


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/P*

%changelog
* Thu Sep 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

